package com.bmlaurus.alfresco;

import java.util.ArrayList;
import java.util.List;

import org.alfresco.webservice.types.Store;

/**
 * @author Antonio Caaveral
 * @version 1.0
 * @company BMLaurus
 * @email info@bmlaurus.com
 * */
public class AlfrescoFile {

	private String fileName;
	private String uuid;
	private byte[] fileData;
	private String path;
	private Store store;
	private List<String> versionDesc;
	private List<String> versionNumber;
	
	
	public AlfrescoFile(){
		versionDesc = new ArrayList<String>();
		versionNumber = new ArrayList<String>();
	}
		
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	public byte[] getFileData() {
		return fileData;
	}
	public void setFileData(byte[] fileData) {
		this.fileData = fileData;
	}
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}
	public Store getStore() {
		return store;
	}
	public void setStore(Store store) {
		this.store = store;
	}

	public List<String> getVersionDesc() {
		return versionDesc;
	}

	public void setVersionDesc(List<String> versionDesc) {
		this.versionDesc = versionDesc;
	}

	public List<String> getVersionNumber() {
		return versionNumber;
	}

	public void setVersionNumber(List<String> versionNumber) {
		this.versionNumber = versionNumber;
	}	
	
	public String toString(){
		StringBuffer buf = new StringBuffer();
		buf.append("[");
		if(fileName!=null)
		{
			buf.append(fileName);
			buf.append(",");
		}
		
		if(uuid!=null)
		{
			buf.append(uuid);
			buf.append(",");
		}
		buf.append("]");
		return buf.toString();
	}
}