package com.bmlaurus.alfresco;

import java.util.List;

import org.compiere.model.AttachmentECMSystem;
import org.compiere.model.MTable;
import org.compiere.model.PO;
import org.compiere.util.Env;
import org.compiere.util.Msg;
import org.compiere.util.Util;

import com.bmlaurus.alfresco.model.MALAlfrescoModel;
import com.bmlaurus.alfresco.model.MALFileList;
import com.bmlaurus.alfresco.model.MAttachment;

public  class Validator {
	
	public static String ValidateECMFiles (PO po)
	{
		String error = null;
		
		if ( po == null)
			return error;
		
		MALAlfrescoModel alfrescoModel = null;
		MAttachment attach = (MAttachment) po.getAttachment();
		
		MTable table = MTable.get(Env.getCtx(), attach.getAD_Table_ID());
		
		int model = table.get_ValueAsInt("AL_Alfresco_Model_ID");
		
		if(model>0)
			alfrescoModel = new MALAlfrescoModel(attach.getCtx(), model, attach.get_TrxName());
		
		if (alfrescoModel!=null && alfrescoModel.getType().equals(MALAlfrescoModel.TYPE_FileList)){
			
			StringBuffer buffMissing = new StringBuffer();
			List<MALFileList> flist = alfrescoModel.getFileList();
			
			if(flist!=null && flist.size()>0){
				
				for(MALFileList _file:flist){
				
					String path = alfrescoModel.getAlfrescoDestinationPath();
					String adp = AttachmentECMSystem.parsePath(attach, path);
					AlfrescoUpload alfUp = AttachmentECMSystem.getAlfrescoUpload(attach);
					AlfrescoFile alfFile = alfUp.getContent(adp, _file.getFileName());
					
					if(alfFile.getUuid() == null)
						buffMissing.append(" * " + _file.getName() + " <BR> ");
				}
			}
			
			if(buffMissing.length()>0)
				return Util.cleanAmp("<strong>" + Msg.getMsg(Env.getCtx(), "Missing ECM Files")) + "</strong> <BR>"+buffMissing.toString();
		}
		
		return error;
	}
	
}
