/******************************************************************************
 * Product: Adempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2006 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software; you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY; without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program; if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package com.bmlaurus.alfresco.model;

import java.sql.ResultSet;
import java.util.Properties;

public class MAttachment extends org.compiere.model.MAttachment
{

	/**
	 * 
	 */
	private static final long serialVersionUID = 3124444078281400901L;
	private Object storageWindow;
    /**************************************************************************
     *  Standard Constructor
     *  @param ctx context
     *  @param AD_Attachment_ID id
     *  @param trxName transaction
     *  @param storageWindow
     */
    public MAttachment(Properties ctx, int AD_Attachment_ID, String trxName, Object storageWindow)
    {
        super (ctx, AD_Attachment_ID, trxName);
        this.storageWindow=storageWindow;

    }   //  MAttachment

    /**
     *  New Constructor
     *  @param ctx context
     *  @param AD_Table_ID table
     *  @param Record_ID record
     *  @param trxName transaction
     *  @param storageWindow
     */
    public MAttachment(Properties ctx, int AD_Table_ID, int Record_ID, String trxName, Object storageWindow)
    {
        super (ctx, MAttachment.getID(AD_Table_ID, Record_ID) > 0 ? MAttachment.getID(AD_Table_ID, Record_ID) : 0, trxName);
        if (get_ID() == 0) {
            setAD_Table_ID (AD_Table_ID);
            setRecord_ID (Record_ID);
        }
    }   //  MAttachment
	
    
    public MAttachment(Properties ctx, int AD_Attachment_ID, String trxName){
    	super(ctx, AD_Attachment_ID, trxName);
    }
    
    public MAttachment(Properties ctx, int AD_Table_ID, int Record_ID, String trxName){
    	super(ctx, AD_Table_ID, Record_ID, trxName);
    }
    
    public MAttachment(Properties ctx, ResultSet rs , String trxName){
    	super(ctx, rs, trxName);
    }
    
    public Object getStorageWindow(){
    	return storageWindow;
    }
    
}	//	MAttachment
