package com.bmlaurus.alfresco.model;

import java.sql.ResultSet;
import org.adempiere.base.IModelFactory;
import org.compiere.model.PO;
import org.compiere.util.Env;

public class ModelMALFileList implements IModelFactory {

	
	private final String T_FileList = com.bmlaurus.alfresco.model.I_AL_FileList.Table_Name;
	private final String T_Attachment = org.compiere.model.I_AD_Attachment.Table_Name;
	
	@Override
	public Class<?> getClass(String tableName) {
		if (T_FileList.equals(tableName)) {
		     return MALFileList.class;
		   } else  if (T_Attachment.equals(tableName)) {
			     return MAttachment.class;
			   } else 
			   return null;
	}

	@Override
	public PO getPO(String tableName, int Record_ID, String trxName) {
		if (T_FileList.equals(tableName)) {
		     return new MALFileList(Env.getCtx(), Record_ID, trxName);
		   } else if (T_Attachment.equals(tableName)) {
			     return new MAttachment(Env.getCtx(), Record_ID, trxName,null);
			   } else  
			   return null;
	}

	@Override
	public PO getPO(String tableName, ResultSet rs, String trxName) {
		if (T_FileList.equals(tableName)) {
		     return new MALFileList(Env.getCtx(), rs, trxName);
		   } else if (T_Attachment.equals(tableName)) {
			     return new MAttachment(Env.getCtx(), rs, trxName);
			   } else
			   return null;
	}

}
