package org.compiere.model;

import org.adempiere.base.Service;
import org.adempiere.base.ServiceQuery;
import org.compiere.util.Env;

public class ECMStoreBuilder implements IAttachmentStore {

	private IAttachmentStore ecm;
	
	public ECMStoreBuilder() {
		ecm = new AttachmentECMSystem();
	}
	
	@Override
	public boolean loadLOBData(MAttachment attach, MStorageProvider prov) {
		return resolveStore(attach).loadLOBData(attach, prov);
	}

	@Override
	public boolean save(MAttachment attach, MStorageProvider prov) {
		return resolveStore(attach).save(attach, prov);
	}

	@Override
	public boolean delete(MAttachment attach, MStorageProvider prov) {
		return resolveStore(attach).delete(attach, prov);
	}

	@Override
	public boolean deleteEntry(MAttachment mAttachment,
			MStorageProvider provider, int index) {
		return resolveStore(mAttachment).deleteEntry(mAttachment, provider, index);
	}

	private IAttachmentStore resolveStore(MAttachment attach){
		IAttachmentStore store = ecm;
		MTable table = MTable.get(Env.getCtx(), attach.getAD_Table_ID());
		if(table.get_ValueAsInt("AL_Alfresco_Model_ID")<=0){
			//GET DEFAULT STORE
			ServiceQuery query=new ServiceQuery();
			query.put("method", "DB");
			store = Service.locator().locate(IAttachmentStore.class, query).getService();
		}
		return store;
	}
}
